### Method

# GObject ParamSpecPool list

#### Declaration [src]

    GParamSpec**
    g_param_spec_pool_list (
      GParamSpecPool* pool,
      GType owner_type,
      guint* n_pspecs_p
    )

#### Description [src]

Gets an array of all `GParamSpecs` owned by `owner_type` in the pool.

#### Parameters

`owner_type`

  Type: `GType`

  The owner to look for.

`n_pspecs_p`

  Type: `guint*`

  Return location for the length of the returned array.

  The argument will be set by the function.

#### Return value

Type: An array of `GParamSpec*`

A newly allocated array containing pointers to all `GParamSpecs` owned by `owner_type` in the pool.

The length of the array is in the `n_pspecs_p` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.